;-=====================================================-
;       Configuration file for mugen.exe
;-=====================================================-

;-------------------------------------------------------
; Game options configurable in M.U.G.E.N's options screen go here.
; Does not include key config.
[Options]
; Basic options
Difficulty = 4
Life = 100
Time = 80
GameSpeed = 0
WavVolume = 100
MidiVolume = 50

; Team-only config
Team.1VS2Life = 150
Team.LoseOnKO = 0

; Not accessible in options screen
motif = data/system.def
;MP3Volume = 50 ;Not yet implemented

;-------------------------------------------------------
[Rules]
 ;Keep this set at VS. It's the only option supported for now.
GameType = VS

 ;This is the amount of power the attacker gets when an attack successfully
 ;hits the opponent. It's a multiplier of the damage done. For example,
 ;for a value of 3, a hit that does 10 damage will give 30 power.
Default.Attack.LifeToPowerMul = .7

 ;This is like the above, but it's for the person getting hit.
 ;These two multipliers can be overridden in the Hitdef controller in the
 ;CNS by using the "getpower" and "givepower" options.
Default.GetHit.LifeToPowerMul = .6

 ;This controls how much damage a super does when you combo into it.
 ;It's actually a multiplier for the defensive power of the opponent.
 ;A large number means the opponent takes less damage. Leave it at
 ;1 if you want supers to do the normal amount of damage when comboed
 ;into.
 ;Note 1: this increase in defence stays effective until the opponent
 ;        gets up from the ground.
 ;Note 2: the program knows you've done a super when the "superpause"
 ;        controller is executed. That's the instance when this change
 ;        becomes effective.
Super.TargetDefenceMul = 1.5



;-------------------------------------------------------
[Config]
 ;Set the game speed here. The default is 60 frames per second. The
 ;larger the number, the faster it goes. Don't use a value less than 10.
GameSpeed = 60

 ;Set to 1 to draw shadows (default). Set to 0 if you have a slow
 ;machine, and want to improve speed by not drawing shadows.
DrawShadows = 1

 ;Number of simultaneous afterimage effects allowed.
 ;Set to a lower number to save memory (minimum 1).
AfterImageMax = 8

 ;Maximum number of layered sprites that can be drawn.
 ;Set to a lower number to save memory (minimum 32).
LayeredSpriteMax = 128

 ;Maximum number of explods allowed in total. Note that hitsparks
 ;also count as explods.
 ;Set to a lower number to save memory (minimum 8).
ExplodMax = 64

 ;Maximum number of system explods allowed.
 ;Set to a lower number to save memory (minimum 8).
SysExplodMax = 48

 ;Maximum number of helpers allowed in total.
 ;Set to a lower number to save memory (minimum 4, maximum 56).
HelperMax = 32

 ;Maximum number of projectiles allowed per player.
 ;Set to a lower number to save memory (minimum 5).
PlayerProjectileMax = 50

 ;This is 1 the first time you run MUGEN.
FirstRun = 0


;-------------------------------------------------------
[Debug]
 ;Set to 0 to disable starting in debug mode by default.
Debug = 0

 ;Set to 0 to disallow switching to debug mode by pressing Ctrl-D.
 ;If Debug = 1, this will be ignored.
AllowDebugMode = 1

 ;Set to 1 to allow debug keys at all times. Otherwise debug keys
 ;allowed only in debug mode.
AllowDebugKeys = 1

 ;Set to 1 to run at maximum speed by default.
Speedup = 0

 ;Default starting stage for quick versus.
StartStage = stages/stage0.def


;-------------------------------------------------------
[Video Win]
 ;Enter the width and height of the resolution you want to set here.
 ;The optimal resolution is 320x240, but if your video card has problems
 ;You may want to try 640x480.
Width  = 640
Height = 480

 ;This is the color depth at which to run MUGEN. You should set it to
 ;16 bit color unless your video card has problems with it.
 ;16-fastest, 24,32-slower, 8-slowest/worst
Depth = 16

 ;Set this parameter to 0 to disable screen stretching, and set it to 1 if
 ;you want to scale it up to fit the current resolution.
Stretch = 1

 ;Set this parameter to use a resolution-doubling filter. You will
 ;need a fast machine to use these filters. You will need to increase
 ;the screen resolution to at least 640x480 for these modes.
 ;0 - off
 ;1 - diagonal edge detection
 ;2 - bilinear filtering
 ;3 - horizontal scanlines
DoubleRes = 0

 ;DirectX mode
 ;Choose from Hardware, Software, Windowed, Overlay, Safe and None
 ;Hardware and Software run in full-screen. Windowed and Overlay
 ;run in a window. The windowed modes require you to set Depth to
 ;whatever color depth you are using for you desktop. The best results
 ;are when you run in 16-bit color. There is no advantage to running
 ;in 32-bit color. If Hardware, Software and Windowed fail, try Safe.
 ;None uses GDI to draw, so it's very slow. Use None only if
 ;you cannot get anything else to work.
 ;Overlay is not supported by all video cards, but can be faster than
 ;Windowed if it works.
DXmode = Windowed

 ;Set to 1 to enable vertical retrace synchronization. Do not enable
 ;if BlitMode = PageFlip.
VRetrace = 0

 ;Drawing mode
 ;Choose from Normal and PageFlip
BlitMode = PageFlip

;-------------------------------------------------------
[Video Linux]
 ;Enter the width and height of the resolution you want to set here.
 ;The optimal resolution is 320x240, but if your video card has problems
 ;You may want to try 640x480.
Width  = 320
Height = 240

 ;This is the color depth at which to run MUGEN. You should set it to
 ;16 bit color unless your video card has problems with it.
 ;16-fastest, 24,32-slower, 8-slowest/worst
Depth = 16

 ;Set this parameter to 0 to disable screen stretching, and set it to 1 if
 ;you want to scale it up to fit the current resolution.
Stretch = 1

 ;Set this parameter to use a resolution-doubling filter. You will
 ;need a fast machine to use these filters. You will need to increase
 ;the screen resolution to at least 640x480 for these modes.
 ;0 - off
 ;1 - diagonal edge detection
 ;2 - bilinear filtering
 ;3 - horizontal scanlines
DoubleRes = 0

 ;Set to 1 to enable vertical retrace synchronization. Do not enable
 ;if BlitMode = PageFlip.
VRetrace = 0

 ;Set to 1 to enable fullscreen mode, 0 for windowed.
FullScreen = 0

 ;Drawing mode
 ;Choose from Normal and PageFlip
BlitMode = PageFlip

;-------------------------------------------------------
; Sound configuration (Windows)
; Note: WavVolume and MidiVolume here are not the same
; as the ones in [Options], but they all affect the volume.
[Sound Win]
  ;Set the following to 1 to enable sound effects and music.
  ;Set to 0 to disable.
Sound = 1

  ;Set the following to 1 to enable stereo effects in-game
  ;Set to 0 to disable.
StereoEffects = 1

  ;This is the width of the sound panning field. If you
  ;Increase this number, the stereo effects will sound
  ;closer to the middle. Set to a smaller number to get
  ;more stereo separation on sound effects.
  ;Only valid if StereoEffects is set to 1.
PanningWidth = 240

  ;Set the following to 1 to reverse left and right channels
  ;on your sound card.
ReverseStereo = 0

  ;Wave device to use. Choose from:
  ; NONE    - No wave device
  ; AUTO    - Autodetect
  ; DX?     - DirectSound: replace ? with a the device number (from 0 to 9)
  ; DXA?    - DirectSound with Allegro mixer: replace ? with a the device number (from 0 to 9)
  ; WAVEOUTA- High-quality wave-out
  ; WAVEOUTB- Low-quality wave-out
WavDevice = Auto

  ;Voice Channels to use. Values are from 1 to 16.
  ;If sound quality is poor, try setting a smaller number, such as 8 or 4.
WavChannels = 12

  ;Maximum number of voices used for MODs.  This number reduces the
  ;number of available WavChannels.  ModVoices must be less than
  ;WavChannels.  If equal, then MODs will get all the available
  ;channels and therefore no sound effects will play.
ModVoices = 6

  ;Midi device to use. Choose from:
  ; NONE    - No midi device
  ; AUTO    - Autodetect
  ; MAPPER  - MIDI Mapper
  ; MID?    - MIDI Device: replace ? with a the device number (from 0 to 9)
  ; DIGMID  - Allegro's Digimid driver
MidiDevice = Auto

  ;This is the master volume for all wav sounds (affects mp3 volume).
  ;Valid values are from from 0 to 255.
MasterWavVolume = 255

  ;Set the volume of wav, midi, mods and CD audio.
  ;Note: WavVolume does not affect mp3 or mod volume.
  ;Valid values are from from 0 to 255.
  ;For CDAVolume only, using -1 will leave the volume unchanged.
WavVolume = 188
MidiVolume = 132
MP3Volume = 120  ;This affects all Winamp-compatible plugins as well
ModVolume = 80
CDAVolume = -1

  ;Set the following to 1 to enable and 0 to disable MIDI, MP3, MOD and CD
  ;playback.
PlayMIDI = 1
PlayMP3 = 1      ;This affects all Winamp-compatible plugins as well
PlayMOD = 1
PlayCDA = 1

  ;Set the drive letter of your CD-ROM (if you have more than one
  ;drive). eg, To use drive E, put the following:
  ;  CDADevice = E:\
  ;Leave blank to use your default CD-ROM drive.
CDADevice =

  ;Set the following to 1 to pause BGM playback when switching
  ;away from the MUGEN window.
PauseBGMOnDefocus = 1

  ;List Winamp-compatible plugins here.
  ;Specify the filename of the plugin and the list of file types to
  ;use the plugin for. One plugin per line.
  ;Example: plugin = plugins/my_plugin.dll, mp3, mp2, mpg
  ;
  ;If music is not looping with a particular plugin, you can try an
  ;optional first argument looptype=1 (seek to zero; may stutter) 
  ;or looptype=2 (reload plugin; slow).
  ;Example: plugin = looptype=1, plugins/my_plugin.dll, mp3, mp2, mpg
plugin = looptype=1, plugins/in_mp3.dll, mp3, mp2, mpg
plugin = looptype=1, plugins/in_vorbis.dll, ogg

;-------------------------------------------------------
; Sound configuration
; Note: WavVolume and MidiVolume here are not the same
; as the ones in [Options], but they all affect the volume.
[Sound Linux]
  ;Set the following to 1 to enable sound effects and music.
  ;Set to 0 to disable.
Sound = 1

  ;Set the following to 1 to enable stereo effects in-game
  ;Set to 0 to disable.
StereoEffects = 1

  ;This is the width of the sound panning field. If you
  ;Increase this number, the stereo effects will sound
  ;closer to the middle. Set to a smaller number to get
  ;more stereo separation on sound effects.
  ;Only valid if StereoEffects is set to 1.
PanningWidth = 240

  ;Set the following to 1 to reverse left and right channels
  ;on your sound card.
ReverseStereo = 0

  ;Wave device to use. Choose from:
  ; NONE    - No wave device
  ; AUTO    - Autodetect
  ; OSS     - Open Sound System
  ; ESD     - Enlightened Sound Daemon
  ; ALSA    - ALSA sound driver
WavDevice = Auto

  ;Voice Channels to use. Values are from 1 to 16.
  ;If sound quality is poor, try setting a smaller number, such as 8 or 4.
WavChannels = 12

  ;Maximum number of voices used for MODs.  This number reduces the
  ;number of available WavChannels.  ModVoices must be less than
  ;WavChannels.  If equal, then MODs will get all the available
  ;channels and therefore no sound effects will play.
ModVoices = 6

  ;Midi device to use. Choose from:
  ; NONE    - No midi device
  ; AUTO    - Autodetect
  ; OSS     - Open Sound System
  ; ALSA    - ALSA sound driver
  ; DIGMID  - Allegro's Digimid driver
MidiDevice = Auto

  ;This is the master volume for all wav sounds (affects mp3 volume).
  ;Valid values are from from 0 to 255.
MasterWavVolume = 255

  ;Set the volume of wav, midi, mods and CD audio.
  ;Note: WavVolume does not affect mp3 or mod volume.
  ;Valid values are from from 0 to 255.
  ;For CDAVolume only, using -1 will leave the volume unchanged.
WavVolume = 128
MidiVolume = 255
MP3Volume = 135
ModVolume = 80
CDAVolume = -1

  ;Set the following to 1 to enable and 0 to disable MIDI, MP3, MOD and CD
  ;playback.
PlayMIDI = 1
PlayMP3 = 1
PlayMOD = 1
PlayCDA = 1

  ;Set the drive letter of your CD-ROM (if you have more than one
  ;drive). eg, To use drive E, put the following:
  ;  CDADevice = E:\
  ;Leave blank to use your default CD-ROM drive.
CDADevice =


;-------------------------------------------------------
[Misc]
  ;Number of extra players to cache in memory.
  ;Set to a lower number to decrease memory usage, at cost of
  ;more frequent loading.
PlayerCache = 1

  ;Set to 1 to allow precaching. Precaching attempts to start loading
  ;player data as early as possible, to reduce apparent loading times
  ;between matches. To get the best performance, set PlayerCache to at
  ;least 1. The optimal number for PlayerCache is 4 when precaching is
  ;enabled. Precaching is not available in DOS.
Precache = 1

  ;Set to 1 to enable large-buffer reads of sprite and sound data.
  ;Set to 0 (off) to decrease memory usage, at cost of slower
  ;loading.
BufferedRead = 1

  ;Set to 1 to free system.def data from memory whenever possible.
  ;This decreases memory usage, in exchange for loading time
  ;before system screens.
UnloadSystem = 1

  ;Set to 1 to pause MUGEN when the MUGEN window loses focus (will also
  ;pause BGM regardless of the PauseBGMOnDefocus setting).
  ;Leave at 0 to let MUGEN run in the background.
  ;Regardless of this setting, MUGEN will always pause on defocus if 
  ;it is running fullscreen.
PauseOnDefocus = 1


;-------------------------------------------------------
[Arcade]
 ;Set to 0 for computer to choose color 1 if possible.
 ;Set to 1 for computer to randomly choose a color.
AI.RandomColor = 1

 ;This option allows the AI to input commands without
 ;having to actually press any keys (in effect, cheating)
 ;Set to 1 to enable, 0 to disable. Enabling this option
 ;can give the illusion of a smarter AI.
AI.Cheat = 1

 ;Arcade Mode AI ramping. For both parameters below, the first number
 ;corresponds to the number of matches won, and the second number to the
 ;AI difficulty offset. The actual difficulty is the sum of the AI
 ;difficulty level (set in the options menu) and the value of the offset
 ;at a particular match.
 ;  AIramp.start = start_match, start_diff
 ;  AIramp.end   = end_match, end_diff
 ;The difficulty offset function is a constant value of start_diff from
 ;the first match until start_match matches have been won. From then the
 ;offset value increases linearly from start_diff to end_diff. After
 ;end_diff matches have been won, the offset value is end_diff.
 ;  e_d            /----------
 ;               /
 ;  s_d _______/
 ;     ^      ^     ^        ^
 ;   1st_m   s_m   e_m     last_m
 ;For example, if you have:
 ;  AIramp.start = 2,0
 ;  AIramp.end   = 4,2
 ;For 6 matches at level 4, the difficulty will be (by match):
 ;  4,4,4,5,6,6
arcade.AIramp.start = 2, 0
arcade.AIramp.end   = 4, 2

 ;Team Mode AI ramping
team.AIramp.start = 1, 0
team.AIramp.end   = 3, 2

 ;Survival Mode AI ramping
survival.AIramp.start = 0, -3
survival.AIramp.end   = 16, 4


;-------------------------------------------------------
[Input]
P1.UseKeyboard = 1
P2.UseKeyboard = 1
;Joystick type:
;0 - Disable
;1 - Autodetect (not reliable under DOS)
;4 - 4 button
;6 - 6 button
;8 - 8 button
;20 - Sidewinder
;21 - SNESKey
;22 - PSX pad
;23 - N64 pad
P1.Joystick.type = 0
P2.Joystick.type = 0
ForceFeedback = 0    ;True to enable force feedback (DOS only)

;-------------------------------------------------------
; P1 Key config (configurable from M.U.G.E.N)
[P1 Keys]
Jump   = 200
Crouch = 208
Left   = 203
Right  = 205
A      = 30
B      = 31
C      = 32
X      = 44
Y      = 45
Z      = 46
Start  = 16

; P2 Key config (configurable from M.U.G.E.N)
[P2 Keys]
Jump   = 72
Crouch = 76
Left   = 75
Right  = 77
A      = 210
B      = 199
C      = 201
X      = 211
Y      = 207
Z      = 209
Start  = 28

[P1 Joystick] ;Default config
Jump   = 1
Crouch = 2
Left   = 3
Right  = 4
A      = 5
B      = 6
C      = 9
X      = 7
Y      = 8
Z      = 10
Start  = 13

[P2 Joystick] ;Default config
Jump   = 1
Crouch = 2
Left   = 3
Right  = 4
A      = 5
B      = 6
C      = 9
X      = 7
Y      = 8
Z      = 10
Start  = 13

[P1 Joystick Win] ;Default config for win
Jump   = 1
Crouch = 2
Left   = 3
Right  = 4
A      = 7
B      = 8
C      = 10
X      = 6
Y      = 5
Z      = 9
Start  = 14

[P2 Joystick Win] ;Default config for win
Jump   = 33
Crouch = 34
Left   = 35
Right  = 36
A      = 39
B      = 40
C      = 0
X      = 37
Y      = 38
Z      = 0
Start  = 0

